//
// XMM Science Analysis System
//
// Giuseppe Vacanti (cosine science & computing) 
// December 2001
//
// $Id: cmporbit.cc,v 1.1 2002/06/20 10:05:20 ulammers Exp $
#include<iostream>

#include<OalServer.h>

int main() {
  
//  int main(int argc, char* argv[]) {
  
//  //    if(argc != 2)
//  //      exit(0);
  
//      STime time(argv[4]);
  
//      std::cout << time.toString(3) << std::endl;

//  //    const PositionLocator *positionLocator = oalServer.positionLocator();

//    XmmPositionLocator *positionLocator = new
//      XmmPositionLocator(argv[1], STime(argv[2]), STime(argv[3]));
  
//    XmmPositionLocator *pos = new XmmPositionLocator(&oalServer,
//  						    XmmPositionLocator::FROM_PREDICTED_ORBIT);
  
//    XmmPositionLocator *ros = new XmmPositionLocator(&oalServer,
//  						    XmmPositionLocator::FROM_RECONSTRUCTED_ORBIT);

  const XmmPositionLocator * pl = oalServer.positionLocator();
  
  STime tstart = oalServer.odf()->observationStartTime();   
  STime tstop = oalServer.odf()->observationEndTime();
    
  std::cout.setf(ios::scientific, ios::floatfield);
  std::cout.precision(20);
  StateVector sr, sp, p;

  for(STime time = tstop; time<= tstop; time += 60.){
    std::cout << "*** " << time.toString(0) << " ";
    
    p = pl->stateVector(time);
    std::cout << p.position.x()*1e3 << " " << p.position.y()*1e3
	      << " " << p.position.z()*1e3 << std::endl;



//      sp = pos->stateVector(time);
//      std::cout << sp.position.x()*1e3 << " " << sp.position.y()*1e3
//  	      << " " << sp.position.z()*1e3;

//      sr = ros->stateVector(time);
//      std::cout << " " << sr.position.x()*1e3 << " " << sr.position.y()*1e3
//  	      << " " << sr.position.z()*1e3;



//      std::cout << std::endl;

//      double d = std::sqrt(std::pow(sp.position.x() - sr.position.x(), 2.0)
//  		    +    std::pow(sp.position.y() - sr.position.y(), 2.0)
//  		    +    std::pow(sp.position.z() - sr.position.z(), 2.0));

//      std::cout << d * 1e3 << std::endl;

  }
}
